Resubmit multiple jobs

Use this endpoint to relabel multiple previously completed jobs at once.

Path Params
string
required

The universal unique identifier (UUID) of the project for which you want to relabel the jobs. You can find this in the super.AI dashboard URL of your project.

Query Params
string

UTC timestamp of the earliest job start date for relabeling

string

UTC timestamp of the latest job start date for relabeling

string

UTC timestamp of the earliest job completion date for relabeling

string

UTC timestamp of the latest job completion date for relabeling

tags
array of strings

Filter by tags, which are manually set text tags that allow you to label and group your data points for later reference

tags
statusIn
array of strings

Filter by current status. Available options: FAILED, CANCELED, EXPIRED, COMPLETED

statusIn
string

Filter by whether the job output has been reviewed. Available options: CORRECT, NOT CORRECT, and REVIEWED.

string

Filter by job batch, i.e., jobs created with a single request

string

Filter by a specific ID. This searches job IDs, job UUIDs, and metadata IDs.

int32

Filter by the lowest job ID number

int32

Filter by the highest job ID number

string

The path within the input JSON that you want to search. Use {} for root; use the format {a.b.0} to specify a path within the JSON (where 0 is the index number if the input features an array). E.g., if you want to search an input key named vendor that is nested within a product key, specify it using the format {product.vendor}. Must be used together with inputMatchType and inputValue.

string

The type of search you want to conduct. Possible values: IS, CONTAINS, IS_NOT, CONTAINS_NOT, IS_NOT_EMPTY. Must be used together with inputPath and inputValue.

string

The search term that you are looking for within your input. Must be used together with inputPath and inputMatchType.

string

The path within the output JSON that you want to search. Use {} for root; use the format {a.b.0} to specify a path within the JSON (where 0 is the index number if the output features an array). E.g., if you want to search all output values, you can specify this using the format {label.selection.value}. Must be used together with responseMatchType and responseValue.

string

The type of search you want to conduct. Possible values: IS, CONTAINS, IS_NOT, CONTAINS_NOT, IS_NOT_EMPTY. Must be used together with responsePath and responseValue.

string

The search term that you are looking for within your output. Must be used together with responsePath and responseMatchType.

Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json